<?xml version="1.0"?>
<!DOCTYPE altarica>
<altarica>
  <define-domain name="State">
    <Symbol value="WORKING"/>
    <Symbol value="FAILED"/>
  </define-domain>
  <define-block name="Plant">
    <define-parameter name="B1.lambda" type="Real">
      <Real value="1e-06"/>
    </define-parameter>
    <define-parameter name="B2.lambda" type="Real">
      <Real value="0.0001"/>
    </define-parameter>
    <define-parameter name="B3.lambda" type="Real">
      <Real value="0.0001"/>
    </define-parameter>
    <define-parameter name="B4.lambda" type="Real">
      <Real value="0.0001"/>
    </define-parameter>
    <define-parameter name="B5.lambda" type="Real">
      <Real value="0.0001"/>
    </define-parameter>
    <define-parameter name="B6.lambda" type="Real">
      <Real value="1e-05"/>
    </define-parameter>
    <define-parameter name="B7.lambda" type="Real">
      <Real value="1e-06"/>
    </define-parameter>
    <define-parameter name="B8.lambda" type="Real">
      <Real value="1e-06"/>
    </define-parameter>
    <define-variable name="B1._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B1.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B1.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B2._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B2.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B2.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B3._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B3.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B3.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B4._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B4.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B4.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B5._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B5.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B5.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B6._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B6.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B6.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B7._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B7.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B7.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B8._state" type="State">
      <attribute name="init">
        <Symbol value="WORKING"/>
      </attribute>
    </define-variable>
    <define-variable name="B8.in" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="B8.out" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="S" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-variable name="T" type="Boolean">
      <attribute name="reset">
        <Boolean value="false"/>
      </attribute>
    </define-variable>
    <define-event name="B1.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B1.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B2.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B2.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B3.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B3.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B4.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B4.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B5.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B5.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B6.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B6.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B7.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B7.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-event name="B8.failure">
      <attribute name="delay">
        <exponential>
          <parameter name="B8.lambda"/>
        </exponential>
      </attribute>
    </define-event>
    <define-observer name="failed" type="Boolean">
      <not>
        <variable name="T"/>
      </not>
    </define-observer>
    <assertion>
      <assignment>
        <variable name="B1.out"/>
        <and>
          <variable name="B1.in"/>
          <eq>
            <variable name="B1._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B2.out"/>
        <and>
          <variable name="B2.in"/>
          <eq>
            <variable name="B2._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B3.out"/>
        <and>
          <variable name="B3.in"/>
          <eq>
            <variable name="B3._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B4.out"/>
        <and>
          <variable name="B4.in"/>
          <eq>
            <variable name="B4._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B5.out"/>
        <and>
          <variable name="B5.in"/>
          <eq>
            <variable name="B5._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B6.out"/>
        <and>
          <variable name="B6.in"/>
          <eq>
            <variable name="B6._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B7.out"/>
        <and>
          <variable name="B7.in"/>
          <eq>
            <variable name="B7._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="B8.out"/>
        <and>
          <variable name="B8.in"/>
          <eq>
            <variable name="B8._state"/>
            <Symbol value="WORKING"/>
          </eq>
        </and>
      </assignment>
      <assignment>
        <variable name="T"/>
        <variable name="B8.out"/>
      </assignment>
      <assignment>
        <variable name="B8.in"/>
        <or>
          <variable name="B6.out"/>
          <variable name="B7.out"/>
        </or>
      </assignment>
      <assignment>
        <variable name="B7.in"/>
        <or>
          <variable name="B3.out"/>
          <variable name="B5.out"/>
        </or>
      </assignment>
      <assignment>
        <variable name="B6.in"/>
        <variable name="B4.out"/>
      </assignment>
      <assignment>
        <variable name="B5.in"/>
        <variable name="B4.out"/>
      </assignment>
      <assignment>
        <variable name="B4.in"/>
        <variable name="B1.out"/>
      </assignment>
      <assignment>
        <variable name="B3.in"/>
        <variable name="B2.out"/>
      </assignment>
      <assignment>
        <variable name="B2.in"/>
        <variable name="B1.out"/>
      </assignment>
      <assignment>
        <variable name="B1.in"/>
        <variable name="S"/>
      </assignment>
      <assignment>
        <variable name="S"/>
        <Boolean value="true"/>
      </assignment>
    </assertion>
    <transition>
      <event name="B1.failure"/>
      <eq>
        <variable name="B1._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B1._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B2.failure"/>
      <eq>
        <variable name="B2._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B2._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B3.failure"/>
      <eq>
        <variable name="B3._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B3._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B4.failure"/>
      <eq>
        <variable name="B4._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B4._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B5.failure"/>
      <eq>
        <variable name="B5._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B5._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B6.failure"/>
      <eq>
        <variable name="B6._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B6._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B7.failure"/>
      <eq>
        <variable name="B7._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B7._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
    <transition>
      <event name="B8.failure"/>
      <eq>
        <variable name="B8._state"/>
        <Symbol value="WORKING"/>
      </eq>
      <assignment>
        <variable name="B8._state"/>
        <Symbol value="FAILED"/>
      </assignment>
    </transition>
  </define-block>
</altarica>
